# GimpUi.ScaleEntry.prototype.get_range

    function get_range(): Gtk.Range {
        // Gjs wrapper for gimp_scale_entry_get_range()
    }

This function returns the Gtk.Range packed in entry. This can be useful if you need to customize some aspects of the widget

By default, it is a Gtk.Scale, but it can be any other type of Gtk.Range if a subclass overrode the new_range_widget() protected method.

Returns

  The Gtk.Range contained in entry.